Skip to content

Retrieve an Item

GET /api/v1.0/items/{item_number}

Retrieves an Item

Retrieves an item. Attribute "state" display if item is currently listed.

Path Parameters

item_number string required

Request Headers

X-Thredup-Access-Token string required

Authentication token

Responses

Attributes of single item

Returns a ItemGetResponse object.

Example Response Body
{
  "item_number": "1234567890",
  "state": "listed",
  "title": "Louis Vuitton x Takashi Murakami Neverfull MM Multicolor White Tote",
  "description": "Authentic Louis Vuitton x Takashi Murakami Neverfull MM in iconic white multicolor monogram canvas. Features colorful LV monogram print with rainbow colors on white background. Interior in excellent condition with minimal signs of use. Vachetta leather handles show light honey patina. Includes original pouch.",
  "external_id": "LUX-LVTM-NF-12345",
  "mpn": "M40049",
  "price": 124999,
  "listed_price": 124999,
  "discount": {
    "max_discount": {
      "percentage": 10
    }
  },
  "msrp": 200000,
  "quality": "Q1",
  "condition_description": "Light patina on handles, minor wear on corners, interior clean",
  "with_tag": false,
  "created_at": "2026-03-10T10:00:00Z",
  "updated_at": "2026-03-10T10:00:15Z",
  "category_id": 865,
  "brand_id": 65673,
  "warehouse_id": 10053,
  "fulfillment_delay_days": 0,
  "size": {
    "scale": "Fits All",
    "name": "One Size"
  },
  "attributes": {
    "color": [
      "Multi Color",
      "White"
    ],
    "material": [
      {
        "value": "Coated Canvas",
        "percentage": 85
      },
      {
        "value": "Leather",
        "percentage": 15
      }
    ],
    "pattern": [
      "Graphic"
    ]
  },
  "listing_error_messages": []
}

Unauthorized

No response body

This endpoint returns no response body for current status code.

Not Found

No response body

This endpoint returns no response body for current status code.